Package com.orchestranetworks.ui.perspective

# Interface PerspectiveTheme

public interface PerspectiveTheme
Interface that represents a perspective theme.

The values returned by all methods are resolved according to the related color and to the theme definition of the parent perspective.

Since:
  6.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getButtonsBorderColor()`
  Returns the border Hex color code of buttons.
  `String`
  `getButtonsHighlightColor()`
  Returns the background Hex color code of buttons selected by default.
  `String`
  `getButtonsHighlightTextColor()`
  Returns the text Hex color code of buttons selected by default.
  `String`
  `getButtonsLinkStyleTextColor()`
  Returns the text Hex color code of buttons having a link style.
  `DisplayDensity`
  `getDensity()`
  Returns the default density defined by the perspective.
  `String`
  `getFocusColor()`
  Returns the outline Hex color code of clickable elements.
  `int`
  `getFormHTMLEditorsHeight()`
  Deprecated.
  Since 6.2.1, is not used anymore.
  `int`
  `getFormHTMLEditorsMaxHeight()`
  Returns the maximum height in pixels of HTML editors in forms.
  `int`
  `getFormHTMLEditorsMaxWidth()`
  Returns the maximum width in pixels of HTML editors in forms.
  `int`
  `getFormHTMLEditorsMinHeight()`
  Returns the minimum height in pixels of HTML editors in forms.
  `int`
  `getFormHTMLEditorsMinWidth()`
  Returns the minimum width in pixels of HTML editors in forms.
  `int`
  `getFormHTMLEditorsWidth()`
  Deprecated.
  Since 6.2.1, is not used anymore.
  `int`
  `getFormInputsWidth()`
  Returns the width in pixels of input fields in forms.
  `int`
  `getFormLabelsMaxWidth()`
  Returns the maximum width in pixels of labels in forms.
  `int`
  `getFormTextAreasHeight()`
  Returns the height in pixels of text entry fields in forms.
  `String`
  `getHeaderColor()`
  Returns the background Hex color code of the user interface header.
  `String`
  `getHeaderTextColor()`
  Returns the text Hex color code of the user interface header.
  `String`
  `getLogoURL()`
  Returns the URL of the specified SVG image.
  `String`
  `getMainColor()`
  Returns the Hex color code of the user interface main color used for selections and highlights.
  `String`
  `getMainTextIconColor()`
  Returns the text and icons Hex color code of the user interface main theme.
  `String`
  `getPerspectiveNavigationPaneSelectionColor()`
  Returns the background Hex color code used for selected menu items in the perspective navigation pane.
  `String`
  `getPerspectiveNavigationPaneSelectionTextColor()`
  Returns the text Hex color code used for selected menu items in the perspective navigation pane.
  `String`
  `getSecondHeaderColor()`
  Returns the background Hex color code of the workspace top header.
  `String`
  `getSecondHeaderTextColor()`
  Returns the text Hex color code of the workspace top header.
  `String`
  `getTableBodyInnerHorizontalBordersColor()`
  Returns the horizontal inner borders Hex color code of table bodies.
  `String`
  `getTableBodyInnerVerticalBordersColor()`
  Returns the vertical inner borders Hex color code of table bodies.
  `String`
  `getTableBodyOuterBorderColor()`
  Returns the outer borders Hex color code of table bodies.
  `String`
  `getTableEvenBackgroundColor()`
  Returns the background Hex color code of the even rows of the table.
  `String`
  `getTableEvenSelectedBackgroundColor()`
  Returns the background Hex color code of the selected even rows of the table.
  `String`
  `getTableHeaderBackgroundColor()`
  Returns the background Hex color code of table headers.
  `String`
  `getTableHeaderBottomBorderColor()`
  Returns the bottom border Hex color code of table headers.
  `String`
  `getTableHeaderInnerBordersColor()`
  Returns the inner borders Hex color code of table headers.
  `String`
  `getTableHeaderSideBordersColor()`
  Returns the side borders Hex color code of association tables displayed inline in a form.
  `String`
  `getTableHeaderTopBorderColor()`
  Returns the top border Hex color code of association tables displayed inline in a form.
  `String`
  `getTableHistoryViewCellBackgroundCreation()`
  Returns the background Hex color code of cells with the state 'creation' in the table history view.
  `String`
  `getTableHistoryViewCellBackgroundDeletion()`
  Returns the background Hex color code of cells with the state 'deletion' in the table history view.
  `String`
  `getTableHistoryViewCellBackgroundTechnical()`
  Returns the background Hex color code of technical data cells in the table history view.
  `String`
  `getTableHistoryViewCellBackgroundUpdate()`
  Returns the background Hex color code of cells with the state 'update' in the table history view.
  `String`
  `getTableOddBackgroundColor()`
  Returns the background Hex color code of the odd rows of the table.
  `String`
  `getTableOddSelectedBackgroundColor()`
  Returns the background Hex color code of the selected odd rows of the table.
  `String`
  `getTableScrollBordersColor()`
  Returns the side borders Hex color code of association tables displayed inline in a form when the the scroll bars appears.
  `String`
  `getTabsSelectedBorderColor()`
  Returns the border Hex color code of selected tabs.
  `String`
  `getWebSiteIconURL()`
  Returns the URL of the defined custom favicon.
  `String`
  `getWorkflowBadgeColor()`
  Returns the background Hex color code of new workflow task counters.
  `String`
  `getWorkflowBadgeTextAndBorderColor()`
  Returns the text and border Hex color code of the workflow task counters.
  `String`
  `getWorkflowProcessInstanceHistoryStateComplete()`
  Returns the background Hex color code of the state 'complete' in the workflow history view.
  `String`
  `getWorkflowProcessInstanceHistoryStateError()`
  Returns the background Hex color code of the state 'error' in the workflow history view.
  `String`
  `getWorkflowProcessInstanceHistoryStateInProgress()`
  Returns the background Hex color code of the state 'in progress' in the workflow history view.
  `String`
  `getWorkflowProcessInstanceHistoryStatePending()`
  Returns the background Hex color code of the state 'pending' in the workflow history view.

- ## Method Details

  - ### getWebSiteIconURL

    String getWebSiteIconURL()
    Returns the URL of the defined custom favicon. Returns `null` if no icon has been set up.

  - ### getLogoURL

    String getLogoURL()
    Returns the URL of the specified SVG image. Returns `null` if no logo has been set up.

  - ### getMainColor

    String getMainColor()
    Returns the Hex color code of the user interface main color used for selections and highlights.

  - ### getMainTextIconColor

    String getMainTextIconColor()
    Returns the text and icons Hex color code of the user interface main theme.

  - ### getHeaderColor

    String getHeaderColor()
    Returns the background Hex color code of the user interface header.

  - ### getHeaderTextColor

    String getHeaderTextColor()
    Returns the text Hex color code of the user interface header.

  - ### getSecondHeaderColor

    String getSecondHeaderColor()
    Returns the background Hex color code of the workspace top header.

  - ### getSecondHeaderTextColor

    String getSecondHeaderTextColor()
    Returns the text Hex color code of the workspace top header.

  - ### getFocusColor

    String getFocusColor()
    Returns the outline Hex color code of clickable elements.

  - ### getWorkflowBadgeColor

    String getWorkflowBadgeColor()
    Returns the background Hex color code of new workflow task counters.

  - ### getWorkflowBadgeTextAndBorderColor

    String getWorkflowBadgeTextAndBorderColor()
    Returns the text and border Hex color code of the workflow task counters.
    Since:
      6.2.1

  - ### getWorkflowProcessInstanceHistoryStateComplete

    String getWorkflowProcessInstanceHistoryStateComplete()
    Returns the background Hex color code of the state 'complete' in the workflow history view.

  - ### getWorkflowProcessInstanceHistoryStateInProgress

    String getWorkflowProcessInstanceHistoryStateInProgress()
    Returns the background Hex color code of the state 'in progress' in the workflow history view.

  - ### getWorkflowProcessInstanceHistoryStateError

    String getWorkflowProcessInstanceHistoryStateError()
    Returns the background Hex color code of the state 'error' in the workflow history view.

  - ### getWorkflowProcessInstanceHistoryStatePending

    String getWorkflowProcessInstanceHistoryStatePending()
    Returns the background Hex color code of the state 'pending' in the workflow history view.

  - ### getButtonsBorderColor

    String getButtonsBorderColor()
    Returns the border Hex color code of buttons.

  - ### getButtonsHighlightColor

    String getButtonsHighlightColor()
    Returns the background Hex color code of buttons selected by default.

  - ### getButtonsHighlightTextColor

    String getButtonsHighlightTextColor()
    Returns the text Hex color code of buttons selected by default.
    Since:
      6.2.1

  - ### getButtonsLinkStyleTextColor

    String getButtonsLinkStyleTextColor()
    Returns the text Hex color code of buttons having a link style.

  - ### getTabsSelectedBorderColor

    String getTabsSelectedBorderColor()
    Returns the border Hex color code of selected tabs.

  - ### getTableHeaderBackgroundColor

    String getTableHeaderBackgroundColor()
    Returns the background Hex color code of table headers.

  - ### getTableOddBackgroundColor

    String getTableOddBackgroundColor()
    Returns the background Hex color code of the odd rows of the table.

  - ### getTableOddSelectedBackgroundColor

    String getTableOddSelectedBackgroundColor()
    Returns the background Hex color code of the selected odd rows of the table.

  - ### getTableEvenBackgroundColor

    String getTableEvenBackgroundColor()
    Returns the background Hex color code of the even rows of the table.

  - ### getTableEvenSelectedBackgroundColor

    String getTableEvenSelectedBackgroundColor()
    Returns the background Hex color code of the selected even rows of the table.

  - ### getTableHeaderTopBorderColor

    String getTableHeaderTopBorderColor()
    Returns the top border Hex color code of association tables displayed inline in a form. Returns "transparent" if not defined.

  - ### getTableHeaderBottomBorderColor

    String getTableHeaderBottomBorderColor()
    Returns the bottom border Hex color code of table headers. Returns "transparent" if not defined.

  - ### getTableHeaderSideBordersColor

    String getTableHeaderSideBordersColor()
    Returns the side borders Hex color code of association tables displayed inline in a form. Returns "transparent" if not defined.

  - ### getTableHeaderInnerBordersColor

    String getTableHeaderInnerBordersColor()
    Returns the inner borders Hex color code of table headers. Returns "transparent" if not defined.

  - ### getTableBodyOuterBorderColor

    String getTableBodyOuterBorderColor()
    Returns the outer borders Hex color code of table bodies. Returns "transparent" if not defined.

  - ### getTableBodyInnerHorizontalBordersColor

    String getTableBodyInnerHorizontalBordersColor()
    Returns the horizontal inner borders Hex color code of table bodies. Returns "transparent" if not defined.

  - ### getTableBodyInnerVerticalBordersColor

    String getTableBodyInnerVerticalBordersColor()
    Returns the vertical inner borders Hex color code of table bodies. Returns "transparent" if not defined.

  - ### getTableScrollBordersColor

    String getTableScrollBordersColor()
    Returns the side borders Hex color code of association tables displayed inline in a form when the the scroll bars appears.

  - ### getPerspectiveNavigationPaneSelectionColor

    String getPerspectiveNavigationPaneSelectionColor()
    Returns the background Hex color code used for selected menu items in the perspective navigation pane.

  - ### getPerspectiveNavigationPaneSelectionTextColor

    String getPerspectiveNavigationPaneSelectionTextColor()
    Returns the text Hex color code used for selected menu items in the perspective navigation pane.
    Since:
      6.2.1

  - ### getTableHistoryViewCellBackgroundTechnical

    String getTableHistoryViewCellBackgroundTechnical()
    Returns the background Hex color code of technical data cells in the table history view.

  - ### getTableHistoryViewCellBackgroundCreation

    String getTableHistoryViewCellBackgroundCreation()
    Returns the background Hex color code of cells with the state 'creation' in the table history view.

  - ### getTableHistoryViewCellBackgroundDeletion

    String getTableHistoryViewCellBackgroundDeletion()
    Returns the background Hex color code of cells with the state 'deletion' in the table history view.

  - ### getTableHistoryViewCellBackgroundUpdate

    String getTableHistoryViewCellBackgroundUpdate()
    Returns the background Hex color code of cells with the state 'update' in the table history view.

  - ### getFormInputsWidth

    int getFormInputsWidth()
    Returns the width in pixels of input fields in forms.

  - ### getFormLabelsMaxWidth

    int getFormLabelsMaxWidth()
    Returns the maximum width in pixels of labels in forms.

  - ### getFormTextAreasHeight

    int getFormTextAreasHeight()
    Returns the height in pixels of text entry fields in forms.

  - ### getFormHTMLEditorsWidth

    @Deprecated int getFormHTMLEditorsWidth()
    Deprecated.
    Since 6.2.1, is not used anymore.
    Returns the width in pixels of HTML editors in forms.

  - ### getFormHTMLEditorsHeight

    @Deprecated int getFormHTMLEditorsHeight()
    Deprecated.
    Since 6.2.1, is not used anymore.
    Returns the height in pixels of HTML editors in forms.

  - ### getFormHTMLEditorsMinWidth

    int getFormHTMLEditorsMinWidth()
    Returns the minimum width in pixels of HTML editors in forms.
    Since:
      6.2.1

  - ### getFormHTMLEditorsMaxWidth

    int getFormHTMLEditorsMaxWidth()
    Returns the maximum width in pixels of HTML editors in forms.
    Since:
      6.2.1

  - ### getFormHTMLEditorsMinHeight

    int getFormHTMLEditorsMinHeight()
    Returns the minimum height in pixels of HTML editors in forms.
    Since:
      6.2.1

  - ### getFormHTMLEditorsMaxHeight

    int getFormHTMLEditorsMaxHeight()
    Returns the maximum height in pixels of HTML editors in forms.
    Since:
      6.2.1

  - ### getDensity

    DisplayDensity getDensity()
    Returns the default density defined by the perspective.
    - This default density is inherited from the density set in the advanced perspective.
    - It is overridden by the density set up by the user in his profile.
    See Also:
      - Select density in user profile